## openjdk-lts 11~28

=== debian/changelog ===
openjdk-lts (11~28-3ubuntu2) cosmic; urgency=medium

  * debian/rules:
    - limit the tests that we run for the hotspot, langtools,
      and jdk testsuites to improve build times and also to
      prevent running unstable or failing tests.
    - fix 'if' clause for definition of the TIME command.
    - remove guava jar from test classpath, no longer required.
  * debian/control, debian/control.in: add a breaks clause to
    clojure1.8 <= 1.8.0-7ubuntu1~.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 10 Oct 2018 19:10:01 +0000

openjdk-lts (11~28-3ubuntu1) cosmic; urgency=medium

  * Sync packages with 11~28-3.
  * First OpenJDK 11 release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Oct 2018 04:16:04 +0200

openjdk-lts (10.0.2+13-1ubuntu1) cosmic; urgency=medium

  * Sync packages with 10.0.2+13-1:
    - OpenJDK 10.0.2+13 release.
      - CVE-2018-2972, S8200332: Improve GCM counting.
      - CVE-2018-2952, S8199547: Exception to Pattern Syntax.
      - S8191239: Improve desktop file usage.
      - S8193419: Better Internet address support.
      - S8197925: Better stack walking.
      - S8200666: Improve LDAP support.
    - Explicitly build-depend on libfontconfig1-dev, explicitly depend
      on libfontconfig1. LP: #1780151. See #793210.
    - Build using GCC 8.
    - Configure with --with-native-debug-symbols=internal.
    - OpenJDK 10.0.1+10 also addressed CVE-2018-2825 and CVE-2018-2826.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jul 2018 21:13:26 +0200

openjdk-lts (10.0.1+10-4ubuntu1) cosmic; urgency=medium

  * Sync packages with 10.0.1+10-3:
    - OpenJDK 10.0.1+10 addresses the following security issues:
      - CVE-2018-2790,S8189969: Manifest better manifest entries.
      - CVE-2018-2795,S8189977: Improve permission portability.
      - CVE-2018-2796,S8189981: Improve queuing portability.
      - CVE-2018-2797,S8189985: Improve tabular data portability.
      - CVE-2018-2798,S8189989: Improve container portability.
      - CVE-2018-2799,S8189993: Improve document portability.
      - CVE-2018-2794,S8189997: Enhance keystore mechanisms.
      - CVE-2018-2814,S8192025: Less referential references.
      - CVE-2018-2815,S8192757: Improve stub classes implementation.
      - CVE-2018-2800,S8193833: Better RMI connection support.
    - Stop installing the policytool desktop file. LP: #1766843,
    - Prefer to build with OpenJDK 10 instead of OpenJDK 9.
    - Fix ftbfs on powerpcspe, adjusting the MIN_FLOAT constant (Adrian
      Glaubitz). Closes: #897334.
    - Remove classes.jsa files on package removal. Closes: #897411.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 May 2018 08:54:49 +0200
