## openjdk-lts 11.0.3+5

=== debian/changelog ===
openjdk-lts (11.0.3+5-1ubuntu2) disco; urgency=medium

  * Fix configuring with the vendor flags.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2019 16:42:19 +0200

openjdk-lts (11.0.3+5-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.3+5-1:
    - OpenJDK 11.0.3+5 build.
    - Annotate the bootstrap dependency with :native.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2019 14:09:44 +0200

openjdk-lts (11.0.3+4-2ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.3+4-2:
    [ Matthias Klose ]
    - Configure with vendor flags.
    - Work around the missing gcc-for-host b-d for cross builds.
    - Backport fix for 8221083, wrong oop compare in C1-generated code (PPC).

    [ Tiago Stürmer Daitx ]
    - Revert to GTK2 as default since GTK3 still has padding and
      component issues, apply upstream changeset to fix a few GTK3
      components: LP: #1770278.
      - debian/patches/jdk-improve-gtk3-compatibility.patch: upstream
        fix for JDK-8218469, JDK-8218470, JDK-8218472, and JDK-8203627.
      - debian/patches/keep-gtk2-as-default.patch: revert upstream so
        GTK2 is loaded before GTK3 when available.
      - debian/rules, debian/control: Set jre to depend on libgtk2.0-0
        and alternatively to libgtk-3-0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2019 10:58:50 +0100

openjdk-lts (11.0.3+4-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.3+4-1:
    - OpenJDK 11.0.3+4 build.
    - Fix the wrong assumption in the autopkg tests that the OpenJDK is
      the same as the default JDK.
    - Don't prune the build trees before running the tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2019 15:07:34 +0100

openjdk-lts (11.0.3+1-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.3+1-1:
    - OpenJDK 11.0.3+1 build.
    - Attribute test dependencies with <!nocheck>.
    - Add support for DCEVM on am64 and i386. Closes: #921419.
    - Check for nodoc instead of nodocs in DEB_BUILD_OPTIONS.
      Addresses: #922761.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2019 15:53:42 +0100

openjdk-lts (11.0.2+9-3ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.2+9-3:
    - Fix Zero on sparc64 (Adrian Glaubitz). Closes: #920315.
    - Link zero on alpha with --no-relax (Michael Cree). Addresses: #920161.
    - Don't run the tests on alpha, causing build failure.
    - jhsdb isn't built on alpha.
    - Backport the fix for 8214002 (cannot use italic font style if the font
      has embedded bitmap). LP: #1799014.
  * Sync packages with 11.0.2+9-2:
    - Fix file permissions for autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2019 15:14:20 +0100

openjdk-lts (11.0.2+9-1ubuntu3) disco; urgency=medium

  * Fix file permissions for autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Jan 2019 14:39:45 +0100

openjdk-lts (11.0.2+9-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.2+9-1:
    - OpenJDK 11.0.2 release (build 9).

    - Backport the fix for S8212233. Closes: #920020, #919798.
    - debian/buildwatch.sh: use same code from openjdk-8.
    - debian/control.in, debian/control:
      - add fixed build depends for jtreg and xfvb.
      - remove Conflicts: oracle-java11-installer. (LP: #1782630)
    - debian/rules:
      - call the same testsuites scripts used for autopkgtest.
      - removed jtreg and xvfb build dependency logic and moved the bdeps
        into debian/control.in.
      - added gen-autopackage rule to generate autopkgtest scripts from
        templates.
      - copy flight recorder configuration files.
      - fix logging in langtools testing.
      - don't ignore/exclude the release file from the jdk package, it is
        required by jtreg tests and autopkgtests will fail without it.
      - don't run nashorn testsuite.
    - update dep8 tests:
      - debian/tests/control: updated to run openjdk-11 tests.
      - debian/tests/hotspot, debian/tests/jaxp, debian/tests/jdk,
        debian/tests/langtools: use the new jt .sh scripts.
      - debian/tests/jtdiff-autopkgtest.sh: diff build time and autopkgtest
        JTreports to show what changed.
      - debian/tests/jtreg-autopkgtest.in: template to generate the jtreg
        script used by the autopkgtest tests.
      - debian/tests/jtdiff-autopkgtest.sh: used by the scripts to report
        any differences between the autopkgtest and the tests results
        generated during the openjdk package build.
      - debian/tests/jtreg-autopkgtest.sh: used by the scripts to run jtreg
        and put the resulting artifacts in the right places, by default will
        remove all non .jtr files after it is done to preserve space.
      - debian/tests/hotspot, debian/tests/jaxp, debian/tests/jdk,
        debian/tests/langtools: run same testsuites as build time and
        compare the results.
      - debian/tests/valid-tests: no longer needed, removed.

  * Sync packages with 11.0.2+7-1:
    - OpenJDK 11.0.2 release.

    - Update VCS attributes in the control file. Closes: #909736.
    - Prefer OpenJDK 11 over OpenJDK 10 as the bootstrap OpenJDK for
      recent releases. Closes: #915600.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Jan 2019 13:30:45 +0100

openjdk-lts (11.0.1+13-3ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.1+13-3:
    - Tighten dependency on debhelper on recent releases. Closes: #911694.
    - Reproducible properties file header when SOURCE_DATE_EPOCH is specified.
      Closes: #914278.
    - Add SOURCE_DATE_EPOCH support to the javadoc tool. Closes: #783938.
    - Disable AArch64 intrinsics for sin, cos and log. Closes: #910188.
      LP: #1796982.
    - Add support for DEB_BUILD_OPTIONS=terse. Closes: #912211.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Nov 2018 12:15:34 +0100

openjdk-lts (11.0.1+13-2ubuntu1) cosmic; urgency=medium

  * Sync packages with 11.0.1+13-2:
    - OpenJDK 11.0.1 releae
    - debian/rules:

