## openjdk-lts 11.0.3+7

=== debian/changelog ===
openjdk-lts (11.0.3+7-1ubuntu2~18.10.1) cosmic-security; urgency=medium

  * Backport from Eoan.
  * debian/rules: remove vendor flags from configure as they are breaking
    Libre Office.
  * debian/tests/jtreg-autopkgtest.sh: fix jdk default path to point to
    openjdk-11.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 23 Apr 2019 18:34:35 +0000

openjdk-lts (11.0.3+7-1ubuntu2) eoan; urgency=medium

  * Security fixes:
    - S8211936, CVE-2019-2602: Better String parsing
    - S8218453, CVE-2019-2684: More dynamic RMI interactions
    - S8214809: CDS storage improvements
  * debian/control, debian/control.in: add breaks clause to prevent
    openjdk-11-jre-headless from being updated when jetty9, netbeans,
    tomcat8, or visualvm are being hold back in unattended-upgrades
    due to local conffiles changes.
  * Add support for automatic updates:
    - debian/watch: upstream has started releasing tarballs and signatures at
      https://openjdk-sources.osci.io/openjdk11/ which allows us to track new
      releases and check signatures by using uscan. For now it is using the
      unmodified upstream tarball while previously the use of get-orig from
      the debian/rules file would remove a few files from it - this can be
      replicated by either providing a repack script or by adding the
      exclusions directly to debian/copyright.
    - debian/upstream/signing-key.asc: public signing key used by upstream
      to sign their tarball releases.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 23 Apr 2019 02:17:15 +0000

openjdk-lts (11.0.3+7-1ubuntu1) disco; urgency=medium

  * Sync packages with 11.0.3+7-1:
    - OpenJDK 11.0.3+7 build.
    - Support using the Java ATK wrapper (Samuel Thibault). Closes: #900912.
      - patches/jaw-classpath.diff: Fix finding the Java ATK wrapper.
      - patches/jaw-optional.diff: Make failing to load the Java ATK wrapper
        non-fatal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2019 05:00:11 +0200
