=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-8 <!cross>,
   openjdk-11-jdk-headless:native | openjdk-10-jdk-headless:native,
-  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
+  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libelf-dev, libfontconfig1-dev,
   libffi-dev,
   zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
   libnss3-dev (>= 2:3.17.1),
@@ -59,7 +59,7 @@
   java9-runtime-headless, java10-runtime-headless,
   java11-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
-Breaks: clojure1.8 (<= 1.8.0-7ubuntu1~)
+Breaks: clojure1.8 (<= 1.8.0-7ubuntu1~), jetty9 (<< 9.4.15-1~), netbeans (<< 10.0-3~), tomcat8 (<< 8.5.39-1ubuntu1~), visualvm (<< 1.4.2-2~)
 Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
 Replaces: openjdk-11-jdk-headless (<< 11~18-2)
 Description: OpenJDK Java runtime, using ${vm:Name} (headless)
